import { type UniversalOptions, type Config } from '@pnpm/config';
import { type ProjectManifest } from '@pnpm/types';
export declare function rcOptionsTypes(): Record<string, unknown>;
export declare function cliOptionsTypes(): Record<string, unknown>;
export declare const commandNames: string[];
export declare function help(): string;
export type PackOptions = Pick<UniversalOptions, 'dir'> & Pick<Config, 'catalogs' | 'ignoreScripts' | 'rawConfig' | 'embedReadme' | 'packGzipLevel' | 'nodeLinker'> & Partial<Pick<Config, 'extraBinPaths' | 'extraEnv'>> & {
    argv: {
        original: string[];
    };
    engineStrict?: boolean;
    packDestination?: string;
    workspaceDir?: string;
    json?: boolean;
};
export declare function handler(opts: PackOptions): Promise<string>;
export declare function api(opts: PackOptions): Promise<PackResult>;
export interface PackResult {
    publishedManifest: ProjectManifest;
    contents: string[];
    tarballPath: string;
}
